commit bc48cac457706126b224983826c52cdabe4a38ff
Author: Christopher Hatch
Date:   Fri Oct 14 15:49:44 2016 +0100

    Disable ddr_calibration and sdram ECC checks for Altera Arria 10 HPS configurations with no External Memory Interface and external FPGA configuration.
    
    This patch is a temporary workaround to dissable ddr_calibration and SDRAM ECC checks by use of a #define in sdram.c.

diff --git a/arch/arm/cpu/armv7/socfpga_arria10/sdram.c b/arch/arm/cpu/armv7/socfpga_arria10/sdram.c
index 11f0504..2857fdc 100644
--- a/arch/arm/cpu/armv7/socfpga_arria10/sdram.c
+++ b/arch/arm/cpu/armv7/socfpga_arria10/sdram.c
@@ -352,8 +352,13 @@ int ddr_setup(void)
 
 int is_sdram_ecc_enabled(void)
 {
+#define CONFIG_NO_EMIF true
+#if !(defined(CONFIG_NO_EMIF))
 	return (readl(&socfpga_ecc_hmc_base->eccctrl) &
 		ALT_ECC_HMC_OCP_ECCCTL_ECC_EN_SET_MSK) != 0;
+#else
+	return 0;
+#endif
 }
 
 /* Initialize SDRAM ECC bits to avoid false DBE */
@@ -919,7 +924,10 @@ int dram_init(void)
 	mem_malloc_init(malloc_start, CONFIG_OCRAM_MALLOC_SIZE);
 
 	if (is_external_fpga_config(gd->fdt_blob)) {
+#define CONFIG_NO_EMIF true
+#if !(defined(CONFIG_NO_EMIF))
 		ddr_calibration_sequence();
+#endif
 	} else {
 #if defined(CONFIG_MMC)
 		int len = 0;
